Subject: [apps-discuss] APPSDIR review of draft-ietf-pcp-upnp-igd-interworking-07

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 08 Apr 2013 12:18:12 -0500

I have been selected as the Applications Area Directorate reviewer for
this draft (for background on appsdir, please see ​
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).

Please resolve these comments along with any other Last Call comments
you may receive. Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-pcp-upnp-igd-interworking-07
Title: Universal Plug and Play (UPnP) Internet Gateway Device (IGD)-Port
        Control Protocol (PCP) Interworking Function
Reviewer: Vijay K. Gurbani
Review Date: Apr-08-2013
IETF Last Call Date: Not known
IESG Telechat Date: Not known

Summary: This draft is ready for publication as a Proposed Standard.
A few issues that should be looked at before publication are listed
below.

Major Issues: 0
Minor Issues: 1
Nits: 2

Minor:
------
- S1, Figure 1: Where is the IGD in this figure?  Is it co-located
  with the UPnP-PCP IWF?  You may want to be more explicit about
  the location of the IGD since the remaining text depends on this
  context.  Note that it may be clear to you where the IGD is, but it
  may not be so apparent to readers not up to speed with this area.

Nits:
-----
- S1, first and second paragraphs: You may want to expand IGD when it is
  first encountered in the first paragraph.  You do the expansion in the
  second occurrence (paragraph two, bullet one).  Just move it up.

  Additionally, you may want to expand IWF when it first appears below
  Figure 1.

- S5.6.1, in the "Discussion" indentation: Is it "Vuzz" or do you mean
  "Vuze"?

Thanks,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60563 (USA)
Email: vkg@{bell-labs.com,acm.org} / [email-masked]
Web:   http://ect.bell-labs.com/who/vkg/

---

From: <[email-masked]>
Date: Tue, 9 Apr 2013 14:39:40 +0200

Dear Vijay,

Thanks for the review.

Please see inline.
Cheers,
Med

>-----Message d'origine-----
>De : Vijay K. Gurbani [mailto:[email-masked]]
>Envoyé : lundi 8 avril 2013 19:18
>À : [email-masked]
>Cc : [email-masked]
>Objet : APPSDIR review of draft-ietf-pcp-upnp-igd-interworking-07
>
>this draft (for background on appsdir, please see 

[Med] Figure 1 looks now: 

                          UPnP IGD-PCP
   UPnP Control           Interworking
      Point                 Function                  PCP Server
        |                     IGD                          |
        |                      |                           |
        | (1) AddPortMapping   |                           |
        |--------------------->|                           |
        |                      |   (2) PCP MAP Request     |
        |                      |-------------------------->|
        |                      |                           |

>  second occurrence (paragraph two, bullet one).  Just move it up.

[Med] Fixed.  

>  Additionally, you may want to expand IWF when it first appears below

[Med] Fixed.

>- S5.6.1, in the "Discussion" indentation: Is it "Vuzz" or do you mean

[Med] It is Vuze. Fixed. Thanks for catching this.